/**
 * Default 部件模型
 *
 * @export
 * @class DefaultModel
 */
export default class DefaultModel {

  /**
  * 获取数据项集合
  *
  * @returns {any[]}
  * @memberof DefaultModel
  */
  public getDataItems(): any[] {
    return [
      {
        name: 'srfwfmemo',
        prop: 'srfwfmemo',
        dataType: 'TEXT',
      },
      // 前端新增修改标识，新增为"0",修改为"1"或未设值
      {
        name: 'srffrontuf',
        prop: 'srffrontuf',
        dataType: 'TEXT',
      },
      {
        name: 'n_assetnumber_like',
        prop: 'assetnumber',
        dataType: 'TEXT',
      },
      {
        name: 'n_assetname_like',
        prop: 'assetname',
        dataType: 'TEXT',
      },
      {
        name: 'n_eamassettypename_eq',
        prop: 'eamassettypename',
        dataType: 'PICKUPTEXT',
      },
      {
        name: 'n_eamlocationname_eq',
        prop: 'eamlocationname',
        dataType: 'PICKUPTEXT',
      },
      {
        name: 'n_eamlocationid_eq',
      },
      {
        name: 'n_eamassettypeid_eq',
      },
    ]
  }

}