/**
 * Edit_Main 部件模型
 *
 * @export
 * @class Edit_MainModel
 */
export default class Edit_MainModel {

  /**
  * 获取数据项集合
  *
  * @returns {any[]}
  * @memberof Edit_MainModel
  */
  public getDataItems(): any[] {
    return [
      {
        name: 'srfwfmemo',
        prop: 'srfwfmemo',
        dataType: 'TEXT',
      },
      // 前端新增修改标识，新增为"0",修改为"1"或未设值
      {
        name: 'srffrontuf',
        prop: 'srffrontuf',
        dataType: 'TEXT',
      },
      {
        name: 'srfupdatedate',
        prop: 'updatedate',
        dataType: 'DATETIME',
      },
      {
        name: 'srforikey',
      },
      {
        name: 'srfkey',
        prop: 'eamlocationid',
        dataType: 'GUID',
      },
      {
        name: 'srfmajortext',
        prop: 'eamlocationname',
        dataType: 'TEXT',
      },
      {
        name: 'srftempmode',
      },
      {
        name: 'srfuf',
      },
      {
        name: 'srfdeid',
      },
      {
        name: 'srfsourcekey',
      },
      {
        name: 'locationnumber',
        prop: 'locationnumber',
        dataType: 'TEXT',
      },
      {
        name: 'eamlocationname',
        prop: 'eamlocationname',
        dataType: 'TEXT',
      },
      {
        name: 'eamlocationtypename',
        prop: 'eamlocationtypename',
        dataType: 'PICKUPTEXT',
      },
      {
        name: 'peamlocationname',
        prop: 'peamlocationname',
        dataType: 'PICKUPTEXT',
      },
      {
        name: 'eamlocationid',
        prop: 'eamlocationid',
        dataType: 'GUID',
      },
      {
        name: 'peamlocationid',
        prop: 'peamlocationid',
        dataType: 'PICKUP',
      },
      {
        name: 'eamlocationtypeid',
        prop: 'eamlocationtypeid',
        dataType: 'PICKUP',
      },
      {
        name: 'eamlocation',
        prop: 'eamlocationid',
        dataType: 'FONTKEY',
      },
    ]
  }

}